<?php

namespace App\ContentModule\Model;

use App\Model\BaseManager;

/**
 * Třída poskytuje metody pro správu jídelníčku.
 * @package App\ContentModule\Model
 */
class MenuManager extends BaseManager
{
        /** Konstanty pro manipulaci s modelem. */
        const
                TABLE_NAME = 'menu',
                COLUMN_ID = 'menu_id',
                COLUMN_DATE = 'date',
                COLUMN_SNACK = 'snack_id';

        /**
         * Vrátí všechny jídelníčky v databázi.
         */
        public function getMenus()
        {
                return $this->database->table(self::TABLE_NAME)->
                        order(self::COLUMN_ID . ' DESC');
        }
        
        //načte aktuální jídelníček
        public function getActualMenus() 
        {
            return $this->database->table(self::TABLE_NAME)->
                    where(self::COLUMN_DATE . '>= ?', 'CURDATE()')->
                    order(self::COLUMN_DATE.','. self::COLUMN_SNACK);
        }
}